| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.OsfFile Class Reference

Class for reading/writing Orbit Scenario files. More...

Inheritance diagram for EECFI.OsfFile:

List of all members.

## Public Member Functions
| OsfFile ()
| Constructor.
| OsfFile (String fileNam)
| Constructor with file name.
native void | read () throws CfiError
| Read the whole file.
native void | write (final String fileNam, FixedHeader fixedHead, Vector< OsfRec > osfData) throws CfiError
| Write the file.
native void | write (FixedHeader fixedHead, Vector< OsfRec > osfData) throws CfiError
| Write the file using the existing fileName.
long | xsltAdd () throws CfiError
| Add xslt reference with default stylesheet.
## Public Attributes
Vector< OsfRec > | osfRec
| Vector of state vectors.

## Detailed Description

Class for reading/writing Orbit Scenario files.

## Constructor & Destructor Documentation

EECFI.OsfFile.OsfFile | ( |  | ) |

Constructor.

EECFI.OsfFile.OsfFile | ( | String | fileNam | ) |

Constructor with file name.

## Member Function Documentation

native void EECFI.OsfFile.read | ( |  | ) | throws CfiError

Read the whole file.

void EECFI.OsfFile::write | ( | FixedHeader | fixedHead,
|  | Vector< OsfRec > | osfData |
| ) |  |  | throws CfiError

Write the file using the existing fileName.

Parameters:

  | fixedHead | FixedHeader object with fixed header data.
  | osfData | Vector of orbit scenario records.

void EECFI.OsfFile::write | ( | final String | fileNam,
|  | FixedHeader | fixedHead,
|  | Vector< OsfRec > | osfData |
| ) |  |  | throws CfiError

Write the file.

Parameters:

  | fileNam | Name of the file to write.
  | fixedHead | FixedHeader object with fixed header data.
  | osfData | Vector of orbit scenario records.

long EECFI.OsfFile.xsltAdd | ( |  | ) | throws CfiError

Add xslt reference with default stylesheet.

## Member Data Documentation

Vector<OsfRec> EECFI.OsfFile.osfRec

Vector of state vectors.